/*********************************************************************************
 *      Copyright:  (C) 2024 Avnet. All Rights Reserved.
 *         Author:  Wenxue Guo <wenxue.guo@avnet.com>
 *
 *    Description:  This file is EEPROM driver.
 *
 ********************************************************************************/

#ifndef __EEPROM_H_
#define __EEPROM_H_

#include "xil_types.h"

typedef u8	AddressType;

int eeprom_write(UINTPTR BaseAddress, u8 chipAddr, AddressType offset, u8 *data, u32 length);

int eeprom_read(UINTPTR BaseAddress, u8 chipAddr, AddressType offset, u8 *buf, u32 size);

#endif
